Name:           zerotier-one
Version:        1.8.4
Release:        %mkrel 1
Summary:        ZeroTier network virtualization service
License:        ZeroTier BSL 1.1
URL:            https://www.zerotier.com
Source0:    ZeroTierOne-%{version}.tar.xz
Group:        Networking/Other
Requires: iproute2
Requires: libstdc++6
Requires: chkconfig

%description
ZeroTier is a software defined networking layer for Earth.

It can be used for on-premise network virtualization, as a peer to peer VPN
for mobile teams, for hybrid or multi-data-center cloud deployments, or just
about anywhere else secure software defined virtual networking is useful.

This is our OS-level client service. It allows Mac, Linux, Windows,
FreeBSD, and soon other types of clients to join ZeroTier virtual networks
like conventional VPNs or VLANs. It can run on native systems, VMs, or
containers (Docker, OpenVZ, etc.).

Please reboot after installation of this package.

%prep
%setup -qn ZeroTierOne-%{version}

sed -i 's/sbin/bin/' make-linux.mk ext/installfiles/linux/zerotier-one.init.rhel6

%build
make ZT_USE_MINIUPNPC=1 %{?_smp_mflags} one

%install
rm -rf %buildroot
make install DESTDIR=%buildroot

install -Dm755 ext/installfiles/linux/zerotier-one.init.rhel6 %buildroot/%{_sysconfdir}/rc.d/init.d/zerotier-one

%files
%{_bindir}
%{_datadir}
%{_var}
%{_sysconfdir}

%pre
/usr/bin/getent passwd zerotier-one || /usr/sbin/useradd -r -d /var/lib/zerotier-one -s /sbin/nologin zerotier-one

%post
%_post_service zerotier-one

%preun
%_preun_service zerotier-one

%changelog
* Fri Dec 10 2021 tex - 1.8.4-1pclos2021
- new version

* Sat Nov 20 2021 tex - 1.8.3-1pclos2021
- new version

* Sun Oct 31 2021 tex - 1.8.1-1pclos2021
- create pkg
